intermittent texvc problems
Closed, ResolvedPublic

Description

Two users have recently reported intermittent faults with the same equations displaying sometimes and not others.

http://en.wikipedia.org/wiki/Wikipedia:Village_pump_(technical)/Archive_116#Random_yet_specific_TeX_errors

http://en.wikipedia.org/wiki/Help_talk:Displaying_a_formula#.5Cmathrm.2C_.5Cmathsf_don.27t_always_show

Viewing

http://en.wikipedia.org/w/index.php?title=User:Salix_alba/sandbox&oldid=573752375

gives Failed to parse (unknown error). Yet if I edit the page and see a preview they all render fine.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=55709

bzimport set Reference to bz54367.
SalixAlba created this task.Via LegacySep 20 2013, 8:38 AM
Schnark added a comment.Via ConduitSep 20 2013, 9:13 AM

This happened for some articles in de.wikipedia, too (some links to examples are on [[de:Hilfe_Diskussion:TeX#Probleme_beim_.C3.9Cbersetzen]])

It seems to depend on the server, e.g. https://de.wikipedia.org/w/index.php?title=Parabel_%28Mathematik%29&oldid=122465929#Affine_Selbstabbildungen_der_Parabel_y.3Dx.C2.B2

sometimes is broken (served by mw1035), and sometimes rendered without error (served by mw1184).

Schnark added a comment.Via ConduitSep 26 2013, 8:28 AM

This still happens ([[de:Merkmalexploration#Exploration_mit_Hintergrundwissen]], served by mw1095), but seems to be a server issue rather than a bug in the Math extenstion.

Aklapper added a comment.Via ConduitSep 27 2013, 3:35 PM

Thanks for taking the time to report this!

I can reproduce this by reloading https://de.wikipedia.org/w/index.php?title=Parabel_%28Mathematik%29&oldid=122465929#Affine_Selbstabbildungen_der_Parabel_y.3Dx.C2.B2 a few times.

Note: "Fehler beim Parsen (Unbekannter Fehler)"
means "Error while parsing (Unknown error)"

So I get

"Man nennt solch eine Abbildung Schrägspiegelung, da eine Gerade, 
 nämlich Fehler beim Parsen (Unbekannter Fehler): x=\tfrac{b}{2}"

instead of

"Man nennt solch eine Abbildung Schrägspiegelung, da eine Gerade,
 nämlich x = \tfrac{b}{2}"

about 50% of the time and for so many different servers (mw1105, mw1169, mw1209, mw1211, mw1218) when testing ~10 times that it might not be specific servers to blame.

greg added a comment.Via ConduitSep 27 2013, 4:05 PM

Assigning to Reedy to see if he can determine if it is actually server specific.

bzimport added a comment.Via ConduitSep 27 2013, 4:08 PM

physik wrote:

I would be interested in the result. Since I'm currently working on the second version of the Math extension. Thereby I have cleaned up the texvc code.

Reedy added a comment.Via ConduitSep 27 2013, 5:09 PM

It's literally a case of the "per version" executable not being created. With the distractions of things breaking I forgot to run the command which compiles this on each server for each version

As an aside, this is something that needs fixing up and there's a bug for this

bzimport added a comment.Via ConduitSep 27 2013, 5:13 PM

physik wrote:

How can I search for all open bugs for the math extension.
It would be nice to showcase, which of them are fixed by Math2.0 and which are not fixed.

Bawolff added a comment.Via ConduitSep 28 2013, 4:45 PM
  • Bug 54456 has been marked as a duplicate of this bug. ***
Bawolff added a comment.Via ConduitSep 28 2013, 4:48 PM

Reports of this still happening. Re-opening.

[13:39] <b_jonas> argh! I'm trying to edit some <math> formulas on en.wikipedia, and get "Failed to parse (unknown error)" or not in all eight similar formulas depending on how I change the first formula

Bawolff added a comment.Via ConduitSep 28 2013, 4:59 PM

Hitting https://en.wikipedia.org/w/api.php?action=parse&text={{User:B_jonas/Sandbox}}&servedby&prop=text with the api repetitively

The following servers seem to have issues:
mw1135
mw1145
mw1203
mw1136
mw1189
mw1116
mw1193
mw1192

The following seem fine:
mw1195
mw1198
mw1122

(I eventually got bored of doing this, so this isn't a full sample)

The fact this this changes per render, suggests that the issue is with the php part of the extension, as in the case of a cached math formula, the php code probably shouldn't even be running texvc (I assume).

Reedy added a comment.Via ConduitSep 28 2013, 7:24 PM

reedy@mw1192:/usr/local/apache/uncommon/1.22wmf8/bin$ ls -al
total 720
drwxr-xr-x 2 mwdeploy mwdeploy 4096 Jul 11 15:18 .
drwxr-xr-x 3 mwdeploy mwdeploy 4096 Jun 20 17:36 ..
-rwxr-xr-x 1 mwdeploy mwdeploy 725237 Jul 11 15:18 texvc
reedy@mw1192:/usr/local/apache/uncommon/1.22wmf19/bin$ ls -al
total 720
drwxr-xr-x 2 mwdeploy mwdeploy 4096 Sep 27 16:55 .
drwxr-xr-x 3 mwdeploy mwdeploy 4096 Sep 27 16:55 ..
-rwxr-xr-x 1 mwdeploy mwdeploy 725237 Sep 27 16:55 texvc

It seems there's probably 2 different issues here. Initially any and all math rendering would've been broken/not worked. As of my comment 6, this side of it should be fine (as shown by the existence of a texvc binary in the relevant folder)

Reedy added a comment.Via ConduitOct 23 2013, 3:45 PM

Marking as a dupe, same issues appear with the unknown math related errors

  • This bug has been marked as a duplicate of bug 55709 ***

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.